package com.ejie.ad74a.ws.client.platea.model.ejgvDocument;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

/**
 * Cuerpo de evento de notificación de PLATEA
 * 
 * @author ansanvic
 * 
 */
@XmlRootElement(name = "account")
@XmlAccessorType(XmlAccessType.FIELD)
public class Ad74aAccount {

	@XmlElement(name = "accountID")
	private String accountID;

	@XmlElement(name = "contactList")
	private Ad74aContactList contactList;

	@XmlElement(name = "channel")
	private Ad74aChannel channel;

	@XmlElement(name = "withConsent")
	private String withConsent;
	@XmlElement(name = "isPrincipal")
	private String isPrincipal;

	public String getAccountID() {
		return accountID;
	}

	public void setAccountID(String accountID) {
		this.accountID = accountID;
	}

	public Ad74aContactList getContactList() {
		return contactList;
	}

	public void setContactList(Ad74aContactList contactList) {
		this.contactList = contactList;
	}

	public Ad74aChannel getChannel() {
		return channel;
	}

	public void setChannel(Ad74aChannel channel) {
		this.channel = channel;
	}

	public String getWithConsent() {
		return withConsent;
	}

	public void setWithConsent(String withConsent) {
		this.withConsent = withConsent;
	}

	public String getIsPrincipal() {
		return isPrincipal;
	}

	public void setIsPrincipal(String isPrincipal) {
		this.isPrincipal = isPrincipal;
	}

}
